
```bash
docker run -d \
  --name ntfy \
  --restart=always \
  -e TZ="Asia/Shanghai" \
  -e NTFY_BASE_URL="https://ntfy.shumengya.top" \
  -e NTFY_CACHE_FILE="/var/cache/ntfy/cache.db" \
  -e NTFY_AUTH_FILE="/var/lib/ntfy/auth.db" \
  -e NTFY_AUTH_DEFAULT_ACCESS="deny-all" \
  -e NTFY_BEHIND_PROXY="true" \
  -e NTFY_ATTACHMENT_CACHE_DIR="/var/lib/ntfy/attachments" \
  -e NTFY_ENABLE_LOGIN="true" \
  -v /shumengya/docker/storage/ntfy/cache:/var/cache/ntfy \
  -v /shumengya/docker/storage/ntfy/etc:/etc/ntfy \
  -v /shumengya/docker/storage/ntfy/lib:/var/lib/ntfy \
  -p 82:80 \
  binwiederhier/ntfy:latest \
  serve


```

```bash
#典型的非关系型数据库（json）
docker pull binwiederhier/ntfy:latest
```

```
docker stop binwiederhier/ntfy:latest
docker rm binwiederhier/ntfy:latest
```